Bug 127893 - ntpd loses synchronisation with time servers
ntpd loses synchronisation with time servers
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: ntp (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-14 18:39 EDT by Gerry Smyth
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-31 07:47:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ntp log of lost synchronisation with time servers (6.51 KB, text/plain)
2004-07-14 18:44 EDT, Gerry Smyth
no flags Details

  None (edit)
Description Gerry Smyth 2004-07-14 18:39:19 EDT
Description of problem:
ntpd essentially loses synchronisation

Version-Release number of selected component (if applicable):
kernel-2.4.9-e.4, ntp-4.1.2-1.AS21.2 Build date Build Date: Wed Feb  
4 05:04:16 2004, glibc-2.2.4-32.15

How reproducible:


Steps to Reproduce:
1.Problem occurs whilst ntpd is running - the build date is also 
recent. /etc/init.d/ntpd start
2. Observe enteries in /var/log/hosts/[hostname]/ subdirectories 
(using egrep -r -e ntp * > /tmp/ntpd_errs.txt )
3.  
Actual results:
Best shown in log file when I'm presented with that option

Expected results:
No time drift or lost sync.

Additional info:
Synchronisation should be maintained with this recent build of ntp 
and time should be maintained to a few milli-seconds as other 
applications like kerberos misbehaves when the clock drift is 'too 
large'. Furthermore, the ntp build date shows that this bug has 
reappeared, as there was a previous fix to the same problem.
Comment 1 Gerry Smyth 2004-07-14 18:44:34 EDT
Created attachment 101923 [details]
ntp log of lost synchronisation with time servers

This is associated to bug # 127893
Comment 2 Need Real Name 2004-07-21 23:39:07 EDT
Hi Harald !

Can you please investigate why we are having these lost
synchronization entries in most of our RH ES 2.1 servers running
kernel release 41 and all latest updates from RH ?
Comment 3 Need Real Name 2004-07-21 23:39:58 EDT
CC
Comment 4 Harald Hoyer 2004-07-22 05:30:41 EDT
Why are these messages present?? Do you start the ntp daemon twice? Do
you use ntpdate?

07/daemon-07-07:Jul  7 15:00:46 aklim905 ntpd[28281]: bind() fd 4,
family 2, port 123, addr 0.0.0.0, in_classd=0 flags=1 fails: Address
already in use
07/daemon-07-07:Jul  7 15:00:46 aklim905 ntpd[28281]: bind() fd 4,
family 2, port 123, addr 127.0.0.1, in_cla07/daemon-07-07:Jul  7
15:00:46 aklim905 ntpd[28281]: bind() fd 4, family 2, port 123, addr
0.0.0.0, in_classd=0 flags=1 fails: Address already in use
07/daemon-07-07:Jul  7 15:00:46 aklim905 ntpd[28281]: bind() fd 4,
family 2, port 123, addr 127.0.0.1, in_classd=0 flags=0 fails: Address
already in use
07/daemon-07-07:Jul  7 15:00:46 aklim905 ntpd[28281]: bind() fd 4,
family 2, port 123, addr 10.65.16.33, in_classd=0 flags=1 fails:
Address already in usessd=0 flags=0 fails: Address already in use
07/daemon-07-07:Jul  7 15:00:46 aklim905 ntpd[28281]: bind() fd 4,
family 2, port 123, addr 10.65.16.33, in_classd=0 flags=1 fails:
Address already in use

Comment 5 Harald Hoyer 2004-07-22 05:31:58 EDT
Frank, do you see similar messages? Could you attach your logfiles, too?
Also interesting would be the output of:

# /usr/sbin/ntpdc
> peers
Comment 6 Need Real Name 2004-08-12 15:56:13 EDT
Hi Harald !

Here is the output you requested.
let me know if you need anything else, since the logfiles would come
from the same server.

[root@aklim905 ntp]# uname -a
Linux aklim905.airnz.co.nz 2.4.9-e.41smp #1 SMP Wed Jun 16 23:41:56
EDT 2004 i686 unknown
[root@aklim905 ntp]# rpm -q glibc
glibc-2.2.4-32.15

[root@aklim905 ntp]# ntpdc
ntpdc> peers
     remote           local      st poll reach  delay   offset    disp
=======================================================================
=LOCAL(0)        127.0.0.1       10   64  377 0.00000  0.000000 0.00093
=aklim903.nz.air 10.65.16.33      3 1024  377 0.00052  0.000455 0.01483
=aklim904.nz.air 10.65.16.33      3 1024  377 0.00038  0.000620 0.01485
*aklft901.airnz. 10.65.16.33      3 1024  377 0.00038  0.000557 0.01483
=aklft902.airnz. 10.65.16.33      3 1024  377 0.00060  0.000325 0.01483
ntpdc> listpeers
client    LOCAL(0)
client    aklim903.nz.airnz.com
client    aklim904.nz.airnz.com
client    aklft901.airnz.co.nz
client    aklft902.airnz.co.nz
Comment 7 Need Real Name 2004-09-10 00:55:49 EDT
Bump!
Comment 8 Harald Hoyer 2004-09-10 05:15:39 EDT
I cannot reproduce it... do you have connection problems sometimes?
Comment 9 Miroslav Lichvar 2006-03-31 07:47:32 EST
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.